#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define U (unsigned)
void stop();

/*******1-D*******/
int *iarray1(n11,n12)
int n11,n12;
{
int *m;
	m=(int *)malloc(U(n12-n11+1)*sizeof(int));
	if(!m) stop("allocation error in iarray1");
	return(m-n11);
}
void free_iarray1(a,n11)
int *a,n11;
{
	free(&a[n11]);
}
/*******1-D*******/
float *farray1(n11,n12)
int n11,n12;
{
float *m;
	m=(float *)malloc( U (n12-n11+1)*sizeof(float) );
	if(!m) {
	  stop("allocation error in farray1");
	}
	return(m-n11);
}
void free_farray1(a,n11)
float *a;
int n11;
{
	free(&a[n11]);
}

void stop(char *message){
  printf("\n\a <error> %s\n",message);
  exit(-1);
}

int fgetrecord(fp,s)
FILE *fp;
char *s;
{
int i;
char c;
	i=0;
	do
	{ if(fscanf(fp,"%c",&c)==EOF) return(-1);
	  if(c=='\n') break;
	  s[i++]=c;
	} while(c!='\n');
	s[i]='\0';
	return(i);
}
